#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Wed Aug 19 14:33:51 2020

@author: tanu
"""
#%% load packages
import os
homedir = os.path.expanduser('~')
os.chdir (homedir + '/git/LSHTM_analysis/dynamut')
from get_results_dynamut import *
########################################################################
# variables
my_host = 'http://biosig.unimelb.edu.au'
# Needed if things try to block the 'requests' user agent
#headers = {"User-Agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/83.0.4103.97 Safari/537.36"}

# TODO: add cmd line args
#gene = 'gid'
drug = 'streptomycin'
datadir = homedir + '/git/Data'
indir = datadir + '/' + drug + '/input'
outdir = datadir + '/' + drug + '/output'

#==============================================================================
# batch 8: 07.txt, # RETRIEVED 23 Feb 08:54
#my_url_file =  outdir + '/dynamut_temp/dynamut_result_url_gid_b8.txt'
#my_suffix = 'gid_b8'

# batch 9: 08.txt, # RETRIEVED 23 Feb 08:55
my_url_file =  outdir + '/dynamut_temp/dynamut_result_url_gid_b9.txt'
my_suffix = 'gid_b9'

# batch 10: 09.txt, # RETRIEVED
#my_url_file =  outdir + '/dynamut_temp/dynamut_result_url_gid_b10.txt'
#my_suffix = 'gid_b10'

#==============================================================================

#==========================
# CALL: get_results() 
# Data: gid+streptomycin
#==========================
print(my_url_file, 'suffix:', my_suffix)

get_results(url_file  = my_url_file
           , host_url = my_host
           , output_dir = outdir
           , outfile_suffix = my_suffix)
           
########################################################################
